searchData={"items":[{"type":"module","title":"ElixirCrt","doc":"Documentation for `ElixirCrt`.","ref":"ElixirCrt.html"},{"type":"function","title":"ElixirCrt.delete/3","doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#delete/3"},{"type":"function","title":"ElixirCrt.delete!/3","doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#delete!/3"},{"type":"function","title":"ElixirCrt.get/3","doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#get/3"},{"type":"function","title":"ElixirCrt.get!/3","doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#get!/3"},{"type":"function","title":"ElixirCrt.get_subdomains/2","doc":"Get all of the subdomains that are on crt.sh  \n\nNote this can take some time as the upstream server can be slow at times.","ref":"ElixirCrt.html#get_subdomains/2"},{"type":"function","title":"ElixirCrt.head/3","doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#head/3"},{"type":"function","title":"ElixirCrt.head!/3","doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#head!/3"},{"type":"function","title":"ElixirCrt.options/3","doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#options/3"},{"type":"function","title":"ElixirCrt.options!/3","doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#options!/3"},{"type":"function","title":"ElixirCrt.patch/4","doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#patch/4"},{"type":"function","title":"ElixirCrt.patch!/4","doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#patch!/4"},{"type":"function","title":"ElixirCrt.post/4","doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#post/4"},{"type":"function","title":"ElixirCrt.post!/4","doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#post!/4"},{"type":"function","title":"ElixirCrt.process_headers/1","doc":"","ref":"ElixirCrt.html#process_headers/1"},{"type":"function","title":"ElixirCrt.process_request_body/1","doc":"","ref":"ElixirCrt.html#process_request_body/1"},{"type":"function","title":"ElixirCrt.process_request_headers/1","doc":"","ref":"ElixirCrt.html#process_request_headers/1"},{"type":"function","title":"ElixirCrt.process_request_options/1","doc":"","ref":"ElixirCrt.html#process_request_options/1"},{"type":"function","title":"ElixirCrt.process_request_params/1","doc":"","ref":"ElixirCrt.html#process_request_params/1"},{"type":"function","title":"ElixirCrt.process_request_url/1","doc":"","ref":"ElixirCrt.html#process_request_url/1"},{"type":"function","title":"ElixirCrt.process_response/1","doc":"","ref":"ElixirCrt.html#process_response/1"},{"type":"function","title":"ElixirCrt.process_response_body/1","doc":"","ref":"ElixirCrt.html#process_response_body/1"},{"type":"function","title":"ElixirCrt.process_response_chunk/1","doc":"","ref":"ElixirCrt.html#process_response_chunk/1"},{"type":"function","title":"ElixirCrt.process_response_headers/1","doc":"","ref":"ElixirCrt.html#process_response_headers/1"},{"type":"function","title":"ElixirCrt.process_response_status_code/1","doc":"","ref":"ElixirCrt.html#process_response_status_code/1"},{"type":"function","title":"ElixirCrt.process_status_code/1","doc":"","ref":"ElixirCrt.html#process_status_code/1"},{"type":"function","title":"ElixirCrt.process_url/1","doc":"","ref":"ElixirCrt.html#process_url/1"},{"type":"function","title":"ElixirCrt.put/4","doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirCrt.html#put/4"},{"type":"function","title":"ElixirCrt.put!/4","doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#put!/4"},{"type":"function","title":"ElixirCrt.request/1","doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"ElixirCrt.html#request/1"},{"type":"function","title":"Redirect handling - ElixirCrt.request/1","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"ElixirCrt.html#request/1-redirect-handling"},{"type":"function","title":"Examples - ElixirCrt.request/1","doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"ElixirCrt.html#request/1-examples"},{"type":"function","title":"ElixirCrt.request/5","doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"ElixirCrt.html#request/5"},{"type":"function","title":"Redirect handling - ElixirCrt.request/5","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"ElixirCrt.html#request/5-redirect-handling"},{"type":"function","title":"Examples - ElixirCrt.request/5","doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"ElixirCrt.html#request/5-examples"},{"type":"function","title":"ElixirCrt.request!/1","doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"ElixirCrt.html#request!/1"},{"type":"function","title":"ElixirCrt.request!/5","doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"ElixirCrt.html#request!/5"},{"type":"function","title":"ElixirCrt.start/0","doc":"Starts HTTPoison and its dependencies.","ref":"ElixirCrt.html#start/0"},{"type":"function","title":"ElixirCrt.stream_next/1","doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"ElixirCrt.html#stream_next/1"},{"type":"type","title":"ElixirCrt.body/0","doc":"","ref":"ElixirCrt.html#t:body/0"},{"type":"type","title":"ElixirCrt.headers/0","doc":"","ref":"ElixirCrt.html#t:headers/0"},{"type":"type","title":"ElixirCrt.method/0","doc":"","ref":"ElixirCrt.html#t:method/0"},{"type":"type","title":"ElixirCrt.options/0","doc":"","ref":"ElixirCrt.html#t:options/0"},{"type":"type","title":"ElixirCrt.params/0","doc":"","ref":"ElixirCrt.html#t:params/0"},{"type":"type","title":"ElixirCrt.request/0","doc":"","ref":"ElixirCrt.html#t:request/0"},{"type":"type","title":"ElixirCrt.url/0","doc":"","ref":"ElixirCrt.html#t:url/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}